# 特定のトークン販売用にNMKR Pay Linkを作成する

このエンドポイントを使用すると、NMKR Payを介した特定のトークンの購入プロセスの前に、独自のカスタムキューまたはホワイトリストシステムを柔軟に追加できます。

顧客がNMKR[ Pay](https://docs.nmkr.io/nmkr-studio/set-up-sales/nmkr-pay)経由で特定のトークンを購入できるようにする特定の支払い取引を作成するには、APIエンドポイントを呼び出します：

```
/v2/CreatePaymentTransaction
```

#### Curlのリクエスト

NMKR APIと同様に、APIキー/認証トークンはヘッダで指定します：

さらに、「projectUid」（プロジェクトIDではない）と「nftUid」（トークンIDではない）とトークン数を指定します。

```json
curl --request POST \
  --url https://studio-api.nmkr.io/v2/CreatePaymentTransaction \
  --header 'Content-Type: application/json' \
  --header 'authorization: <your API Key>' \
  --data '{
  "projectUid": "9e2d000a-ed53-4db4-819b-25cdab41fd47",
  "paymentTransactionType": "nmkr_pay_specific",
  "customProperties": {},
  "paymentgatewayParameters": {
        "mintnfts":{
             "reserveNfts": [
          { 
             "nftUid": "5c810e70-dc0e-40ff-98d0-67742f95918b",
             "tokencount": 1
          }
      ]
        }
  },
  "customerIpAddress": "1.1.1.1"
}'
```

#### 応答

NMKR Studioから返される応答は、UIDによってプロジェクトとトークンを識別し、トークン[自体](https://docs.nmkr.io/nmkr-studio/token/edit#static-price-with-specific-sales)または[価格リストで](https://docs.nmkr.io/nmkr-studio/set-up-sales/manage-prices-pricelist)[指定さ](https://docs.nmkr.io/nmkr-studio/token/edit#static-price-with-specific-sales)れたトークンの価格が返されます。

フィールド「nmkrPayUrl」には、トークンを[NMKR Pay](https://docs.nmkr.io/nmkr-studio/set-up-sales/nmkr-pay)経由で購入するための[特定の支払いリンクが](https://docs.nmkr.io/nmkr-studio/set-up-sales/nmkr-pay/specific-payment-links)含まれるようになりました。

```json
{
    "paymentTransactionUid": "T56b1bab0daf844438321c7f1ff3e8f6f",
    "projectUid": "9e2d000a-ed53-4db4-819b-25cdab41fd47",
    "paymentTransactionType": "nmkr_pay_specific",
    "customProperties": {},
    "state": "prepared",
    "transactionParameters": null,
    "paymentTransactionCreated": "2022-12-01T14:57:47.9705004+00:00",
    "paymentgatewayResults": {
        "priceInLovelace": 30000000,
        "fee": null,
        "minUtxo": null,
        "mintNfts": {
            "countNfts": 1,
            "reserveNfts": [
                {
                    "nftUid": "5c810e70-dc0e-40ff-98d0-67742f95918b",
                    "tokencount": 1,
                    "tokennameHex": null,
                    "policyId": null,
                    "nftId": 286484,
                    "lovelace": null
                }
            ]
        },
        "additionalPriceInTokens": []
    },
    "paymentTransactionSubStateResult": null,
    "auctionResults": null,
    "directSaleResults": null,
    "decentralParameters": null,
    "mintAndSendResults": null,
    "cbor": null,
    "signedCbor": null,
    "expires": null,
    "signGuid": null,
    "fee": null,
    "txHash": null,
    "nmkrPayUrl": "https://pay.nmkr.io/?mtid=T56b1bab0daf844438321c7f1ff3e8f6f",
    "referencedTransaction": null,
    "customeripaddress": "1.1.1.1",
    "referer": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nmkr.io/jp/nmkr-studio-api/apino/i/notkunninmkr-pay-linkwosuru.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
